Name:		libsolv
Version:	0.0.0
Release:	2
License:	BSD
Url:		git://gitorious.org/opensuse/libsolv.git
Source:		libsolv-%{version}.tar.bz2
Group:		Development/Libraries
Summary:	Package dependency solver
BuildRequires:	%{_includedir}/db.h
BuildRequires:	expat-devel cmake rpm-devel gcc-c++ zlib-devel
BuildRequires:	perl perl-devel
BuildRequires:	swig
%global ruby_vendorarch %(ruby -rrbconfig -e 'puts Config::CONFIG["sitearchdir"]')
BuildRequires:	ruby ruby-devel
BuildRequires:	swig
%global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(True);")
BuildRequires:	python-devel
BuildRequires:	swig

%description
Package dependency solver

%package devel
Summary:	A new approach to package dependency solving
Group:		Development/Libraries
Requires:	libsolv-tools = %version
Requires:	libsolv = %version
Requires:	rpm-devel

%description devel
Development files for libsolv,

%package tools
Summary:	A new approach to package dependency solving
Group:		Development/Libraries
Obsoletes:	libsatsolver <= 0.0.15
Provides:	libsatsolver = %{version}-%{release}
Requires:	gzip bzip2 coreutils

%description tools
Package dependency solver tools.

%package demo
Summary:	Applications demoing the libsolv library
Group:		System/Management
Requires:	curl gnupg2

%description demo
Applications demoing the libsolv library.

%package -n ruby-solv
Summary:	Ruby bindings for the libsolv library
Group:		Development/Languages

%description -n ruby-solv
Ruby bindings for sat solver.

%package -n python-solv
Summary:	Python bindings for the libsolv library
Group:		Development/Languages
Requires:	python

%description -n python-solv
Python bindings for sat solver.

%package -n perl-solv
Summary:	Perl bindings for the libsolv library
Group:		Development/Languages/Perl
Requires:	perl

%description -n perl-solv
Perl bindings for sat solver.

%prep
%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$CFLAGS"
CMAKE_FLAGS="-DFEDORA=1"
perl -pi -e "s/-Werror//g" CMakeLists.txt

cmake	$CMAKE_FLAGS \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DLIB=%{_lib} \
	-DCMAKE_VERBOSE_MAKEFILE=TRUE \
	-DCMAKE_BUILD_TYPE=Release \
	-DENABLE_PERL=1 \
	-DENABLE_PYTHON=1 \
	-DENABLE_RUBY=1 \
	-DUSE_VENDORDIRS=1 \
	-DCMAKE_SKIP_RPATH=1
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc LICENSE*
%_libdir/libsolv.so.*
%_libdir/libsolvext.so.*

%files tools
%exclude %_bindir/helix2solv
%exclude %_bindir/solv
%_bindir/*

%files devel
%_libdir/libsolv.so
%_libdir/libsolvext.so
%_includedir/solv
%_bindir/helix2solv

%files demo
%_bindir/solv

%files -n perl-solv
%{perl_vendorarch}/*

%files -n ruby-solv
%{ruby_vendorarch}/*

%files -n python-solv
%{python_sitearch}/*

%changelog
* Thu Oct 13 2011 Karel Klíč <kklic@redhat.com> - 0.0.0-2
- Spec file simplifications

* Fri Sep 23 2011 Jindrich Novy <jnovy@redhat.com>
- initial packaging based on upstream spec
